## org.apache.jasper.compiler
Class Node.ScriptingElement

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.ScriptingElement

Direct Known Subclasses:
  Node.Declaration, Node.Expression, Node.Scriptlet

Enclosing class:
  Node

public abstract static class Node.ScriptingElement
extends Node

Represents an expression, declaration, or scriptlet

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node

`Node.Comment, Node.CustomTag, Node.Declaration, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspAttribute, Node.JspRoot, Node.JspText, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node
`attrs, beginJavaLine, body, endJavaLine, parent, startMark, text`

Constructor Summary
`Node.ScriptingElement(char[] text, Mark start, Node parent)`
`Node.ScriptingElement(Mark start, Node parent)`

Method Summary
`char[]` `getText()` When this node was created from a JSP page in JSP syntax, its text was stored as a String in the "text" field, whereas when this node was created from a JSP document, its text was stored as one or more TemplateText nodes in its body.

Methods inherited from class org.apache.jasper.compiler.Node
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getParent, getStart, isXmlSyntax, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.ScriptingElement

    public Node.ScriptingElement(char[] text,
                                 Mark start,
                                 Node parent)

### Node.ScriptingElement

    public Node.ScriptingElement(Mark start,
                                 Node parent)

Method Detail

### getText

    public char[] getText()

  When this node was created from a JSP page in JSP syntax, its text was stored as a String in the "text" field, whereas when this node was created from a JSP document, its text was stored as one or more TemplateText nodes in its body. This method handles either case.

  Overrides:
    `getText` in class `Node`
  Returns:
    The text string

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.